MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022378Community[OCCT] OCCT:DRAWpublic2011-04-06 10:562012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022378: Small patch to fix buffer vulnerability of Draw
DescriptionSmall patch from the Forum http://www.opencascade.org/org/forum/thread_12448/ [^]
to fix buffer vulnerability.
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0017912)
szy (administrator)
2011-08-04 18:26

Fixed. Branch - 0022378.
(0017920)
bugmaster (administrator)
2011-08-05 13:37

Dear Vlad
Could you please revise
http://svn/svn/occt/branches/0022378 [^]
(0018486)
abv (manager)
2011-11-04 20:27

I assume Vlad had revised the code; I have no remarks neither
(0018536)
mkv (tester)
2011-11-14 16:29
edited on: 2011-11-22 11:25

Dear BugMaster,
Workbench KAS:dev:mkv-OCC22378-occt was created from SVN branch http://svn/svn/occt/branches/0022378 [^]
(and mkv-OCC22378-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-OCC22378-products regarding to KAS:dev:products-652-opt.

See results in /QADisk/occttests/results/KAS/dev/mkv-OCC22378-products_08112011/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-652-opt_23092011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0018582)
bugmaster (administrator)
2011-11-18 14:00

Fix has been integrated into occt repository

Date: 2011-11-18 13:58:53 +0400 (Fri, 18 Nov 2011)
New Revision: 9432

Modified:
   trunk/src/Draw/Draw_Window.cxx

- Related Changesets
occt: master 4b943aab
Timestamp: 2011-11-18 09:58:53
Author: szy
Committer: bugmaster
Details ] Diff ]
0022378: Small patch to fix buffer vulnerability of Draw
mod - src/Draw/Draw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-04-06 18:37 bugmaster Status closed => assigned
2011-04-06 18:37 bugmaster Resolution suspended => @0@
2011-04-06 19:15 bugmaster Assigned To bugmaster => szy
2011-08-04 18:26 szy Note Added: 0017912
2011-08-04 18:26 szy Status assigned => resolved
2011-08-05 13:37 bugmaster Note Added: 0017920
2011-08-05 13:37 bugmaster Assigned To szy => vro
2011-08-05 13:37 bugmaster Status resolved => assigned
2011-08-08 10:20 vro Status assigned => verified
2011-08-08 10:20 vro Fixed in Version EMPTY =>
2011-08-08 10:20 vro Resolution open => fixed
2011-09-20 17:32 szy Target Version => 6.5.2
2011-09-20 17:32 szy Description Updated View Revisions
2011-11-04 20:13 abv Status closed => assigned
2011-11-04 20:13 abv Fixed in Version 6.5.2 =>
2011-11-04 20:13 abv Target Version 6.5.2 => 6.5.3
2011-11-04 20:27 abv Note Added: 0018486
2011-11-04 20:27 abv Status assigned => reviewed
2011-11-14 16:29 mkv Note Added: 0018536
2011-11-14 16:30 mkv Test case number => Test case is not required
2011-11-14 16:30 mkv Status reviewed => tested
2011-11-18 14:00 bugmaster Note Added: 0018582
2011-11-18 14:00 bugmaster Status tested => verified
2011-11-21 11:52 szy Note Edited: 0018536 View Revisions
2011-11-22 11:25 szy Note Edited: 0018536 View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master 4b943aab


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker